Bug 96215 - LibreOffice hangs/won't start if some mounted shares are inaccessible
Summary: LibreOffice hangs/won't start if some mounted shares are inaccessible
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2015-12-02 22:41 UTC by Saren Tasciyan
Modified: 2017-12-18 03:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Saren Tasciyan 2015-12-02 22:41:49 UTC
I had issues with LibreOffice and it's freezing hanging problems for a while. Now I figured it out, what actually the problem is. Here is the scenario:

I am running Ubuntu 14.04 LTS on my laptop for work with automatically mounted network shares (with kerberos tickets). Everything works fine when I am at work (connected to network at work). But when I start my laptop (wake up) at home, opened LibreOffice windows hang (turn grey and unresponsive) and simply never recovers! Also restarting doesn't help. I can't even see the splash screen! It simply runs with 0 CPU usage in the background. I kill it and try again but no use. There was a similar problem with Inkscape. So I connected to my work network from home with VPN, which made those shares accessible. I checked if they are accessible through nautilus. Then LibreOffice starts and works normally.

There are no program related files in those shares. LibreOffice does not require anything there to start. There are probably some documents there, which I accessed before. But I am not trying to open them.

Expected behaviour would be that LibreOffice handles those IO operations either asynchronously or simply not at all. Also in case of such emergencies a time out needs to be present. Network shares are not accessible all the time but these are mounted as folders in the root directory. I wonder if any application can detect if they are not locally stored or not (unless they look into that in detail).

So please don't hesitate to ask for more relevant information. I will provide as much as I can.

Thanks!
Comment 1 Liam Ward 2015-12-18 15:28:45 UTC
+1 for this. I have exactly the same problem and it usually requires a reboot to resolve it.
Comment 2 Buovjaga 2015-12-22 15:24:10 UTC
https://en.wikipedia.org/wiki/Kerberos_%28protocol%29

Liam: are you also using Kerberos?

Or maybe this has the same root cause as bug 41987?
Comment 3 Buovjaga 2016-04-18 05:38:20 UTC
Saren set this to NEW, but it would be great to get more details from Liam.
Comment 4 Florian 2016-06-23 11:51:05 UTC
I have quite similiar behavior, I hope my description helps:

User Action:

Action 1: This Action is only mentioned to show that normally everything works fine: Laptop Connected to LAN, Starting up a VPN connection, mounting cifs Share by shellscript. Opening a LOCAL LO file (e.g. LibreOffice Calc Spreadsheet). Everything works fine. Closing LO.

Action 2: No the Action is resulting in unwanted result:
Closing down the VPN connection, NOT unmounting the shares. 
Starting LO without any document:

Result: LO hangs. 

Expected Resulted: LO works normally, (of course would be allowed to run in a timeout when trying to access the mounted but not connected shares).

Workaround:
Unmounting the shares -> LO start up normally. 
Sometimes it also helps to clear the "Recent Files".


My Guess:
LO tries to access the files of "Recent Files" - and this hangs when the share is not valid any more.

---
Version: 5.1.3.2,  Build ID: 1:5.1.3-0ubuntu1
Ubuntu 16.04 LTS   64bit  english
Comment 5 Florian 2016-06-23 11:52:46 UTC
sorry, in description of Action two the correct line would be:

Action 2: _Now_ the Action is resulting in unwanted result:
Comment 6 Saren Tasciyan 2016-06-23 12:01:29 UTC
Regarding the unmounting shares: I am currently using this as a work around. I unmount the shares, then LO works fine. Sometimes, I forget to unmount, then LO hangs again. For that, I need to connect VPN again, let all the IO finish then unmount.
Comment 7 Saren Tasciyan 2016-11-09 13:36:58 UTC
The issue persists in Ubuntu 16.04 LO 5.1.4.2.
Comment 8 QA Administrators 2017-12-18 03:26:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug